# Retrieve all consent categories snapshots that are applied to a specific audit run. 

<div class="op-path-box"><span class="op-http-method-get">GET</span> /v3/web-audits/<span class="op-path-parameter">{auditId}</span>/runs/<span class="op-path-parameter">{runId}</span>/consent-categories</div>

Endpoint: GET /v3/web-audits/{auditId}/runs/{runId}/consent-categories
Security: API_Key

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit

  - `runId` (integer, required)
    Unique identification number for web audit or journey run

## Response 200 fields (application/json):

  - `consentCategorySnapshots` (array)

  - `consentCategorySnapshots.name` (string, required)

  - `consentCategorySnapshots.notes` (string)

  - `consentCategorySnapshots.type` (string, required)
    Enum: "approved", "unapproved"

  - `consentCategorySnapshots.consentCategoryId` (integer, required)
    ID of consent category
    Example: 3301

  - `consentCategorySnapshots.consentCategorySnapshotId` (integer, required)
    Use in filtering purposes is DEPRECATED in favour of `ConsentCategoryId`! Snapshot Id of consent category attached to this run
    Example: 33010

  - `consentCategorySnapshots.consentCategoryConfigExists` (boolean, required)
    If false, the consent category config doesn't exist anymore

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 403 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

